<?php
class SampleFieldHelperEventListener extends BcHelperEventListener {
	public $events = array(
		'Form.afterForm'
	);
	public function formAfterForm(CakeEvent $event) {
		// フォームのIDが、BlogPostForm の場合のみ処理を実行
		if($event->data['id'] == 'BlogPostForm') {
			// BcFormHelperを利用する為、Viewを取得
			$View = $event->subject();
			// カスタムフィールドを追加
			$event->data['fields'][] = array(
				'title'	=> 'sample',
				'input'	=> 
					$View->BcForm->input('SampleField.id', array('type' => 'hidden')) . 
					$View->BcForm->input('SampleField.sample', array('type' => 'textarea'))
			);
		}
	}
}
